net.sf.okapi.lib.xliff2.processor

## Interface IEventHandler

- All Known Implementing Classes:
    DefaultEventHandler

      public interface IEventHandler

  Provides the methods to handle events generated by the `XLIFFReader` object.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `handleEndDocument(Event event)` Handles the `END_DOCUMENT` event.
    `Event` | `handleEndFile(Event event)` Handles the `END_FILE` event.
    `Event` | `handleEndGroup(Event event)` Handles the `END_GROUP` event.
    `Event` | `handleEndXliff(Event event)` Handles the `END_XLIFF` event.
    `Event` | `handleInsignificantPart(Event event)` Handles the `INSIGNIFICANT_PART` event.
    `Event` | `handleMidFile(Event event)` Handles the `MID_FILE` event.
    `Event` | `handleSkeleton(Event event)` Handles the `SKELETON` event.
    `Event` | `handleStartDocument(Event event)` Handles the `START_DOCUMENT` event.
    `Event` | `handleStartFile(Event event)` Handles the `START_FILE` event.
    `Event` | `handleStartGroup(Event event)` Handles the `START_GROUP` event.
    `Event` | `handleStartXliff(Event event)` Handles the `START_XLIFF` event.
    `Event` | `handleUnit(Event event)` Handles the `TEXT_UNIT` event.

- - ### Method Detail

    - #### handleStartDocument

          Event handleStartDocument(Event event)

      Handles the `START_DOCUMENT` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndDocument

          Event handleEndDocument(Event event)

      Handles the `END_DOCUMENT` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleStartXliff

          Event handleStartXliff(Event event)

      Handles the `START_XLIFF` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndXliff

          Event handleEndXliff(Event event)

      Handles the `END_XLIFF` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleStartFile

          Event handleStartFile(Event event)

      Handles the `START_FILE` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleSkeleton

          Event handleSkeleton(Event event)

      Handles the `SKELETON` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleMidFile

          Event handleMidFile(Event event)

      Handles the `MID_FILE` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndFile

          Event handleEndFile(Event event)

      Handles the `END_FILE` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleStartGroup

          Event handleStartGroup(Event event)

      Handles the `START_GROUP` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndGroup

          Event handleEndGroup(Event event)

      Handles the `END_GROUP` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleInsignificantPart

          Event handleInsignificantPart(Event event)

      Handles the `INSIGNIFICANT_PART` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleUnit

          Event handleUnit(Event event)

      Handles the `TEXT_UNIT` event.
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.